---
lang: en
title: 'API docs: context.bindingkey.parsekeywithpath'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.bindingkey.parsekeywithpath.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingKey](./context.bindingkey.md) &gt; [parseKeyWithPath](./context.bindingkey.parsekeywithpath.md)

## BindingKey.parseKeyWithPath() method

Parse a string containing both the binding key and the path to the deeply nested property to retrieve.

**Signature:**

```typescript
static parseKeyWithPath<T>(keyWithPath: BindingAddress<T>): BindingKey<T>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

keyWithPath


</td><td>

[BindingAddress](./context.bindingaddress.md)<!-- -->&lt;T&gt;


</td><td>

The key with an optional path, e.g. "application.instance" or "config\#rest.port".


</td></tr>
</tbody></table>
**Returns:**

[BindingKey](./context.bindingkey.md)<!-- -->&lt;T&gt;


